org.keycloak.migration.migrators

## Class MigrateTo1_8_0

- java.lang.Object
- - org.keycloak.migration.migrators.MigrateTo1_8_0

- All Implemented Interfaces:
    Migration

      public class MigrateTo1_8_0
      extends Object
      implements Migration

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ModelVersion` | `VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MigrateTo1_8_0()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComponentModel` | `getMapperByName(RealmModel realm, ComponentModel providerModel, String name)`
    `ModelVersion` | `getVersion()`
    `void` | `migrate(KeycloakSession session)`
    `void` | `migrateImport(KeycloakSession session, RealmModel realm, RealmRepresentation rep, boolean skipUserDependent)` Called after full import of representation.
    `protected void` | `migrateRealm(RealmModel realm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERSION

          public static final ModelVersion VERSION

  - ### Constructor Detail

    - #### MigrateTo1_8_0

          public MigrateTo1_8_0()

  - ### Method Detail

    - #### getVersion

          public ModelVersion getVersion()

      Specified by:
        `getVersion` in interface `Migration`

    - #### migrate

          public void migrate(KeycloakSession session)

      Specified by:
        `migrate` in interface `Migration`

    - #### migrateImport

          public void migrateImport(KeycloakSession session,
                                    RealmModel realm,
                                    RealmRepresentation rep,
                                    boolean skipUserDependent)

      Description copied from interface: `Migration`
      Called after full import of representation. Implementations of this method should try not make assumptions about what was imported from the representations. We have no idea what the user will do to an exported json file.
      Specified by:
        `migrateImport` in interface `Migration`

    - #### migrateRealm

          protected void migrateRealm(RealmModel realm)

    - #### getMapperByName

          public static ComponentModel getMapperByName(RealmModel realm,
                                                       ComponentModel providerModel,
                                                       String name)

Copyright © 2021 JBoss by Red Hat. All rights reserved.